Retrieve a paginated list of all phone numbers configured in your PIA Platform account
curl --request GET \
--url https://api.example.com/v1/phone-numbers/import requests
url = "https://api.example.com/v1/phone-numbers/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/phone-numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phone_numbers": [
{
"phone_number": "<string>",
"_id": "<string>",
"provider": "sip",
"friendly_name": "<string>",
"sip_termination_uri": "<string>",
"sip_trunk_username": "<string>",
"sip_trunk_password": "<string>",
"inbound_agent_id": "<string>",
"outbound_agent_id": "<string>",
"sip_infra_region": "global"
}
],
"next_page_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Phone Numbers
Retrieve a paginated list of all phone numbers configured in your PIA Platform account
Retrieve a paginated list of all phone numbers configured in your PIA Platform account. The list includes all phone number types (Import Phone Numbers and PIA-managed) and their current configurations. Use the page_size and page_token parameters to navigate through the list for accounts with many phone numbers.
The response includes essential information for each phone number:
- Phone number details and type
- Associated AI agent (if any)
- Configuration status
- Creation and last modified timestamps
GET
/
v1
/
phone-numbers
/
Retrieve a paginated list of all phone numbers configured in your PIA Platform account
Response
Successful Response
phone_numbers
(GetSIPPhoneNumberResponse · object | GetPiaPhoneNumberResponse · object | GetTwilioPhoneNumberResponse · object)[]
required
List of phone number records matching the query parameters
- GetSIPPhoneNumberResponse
- GetPiaPhoneNumberResponse
- GetTwilioPhoneNumberResponse
Show child attributes
Show child attributes
Token for retrieving the next page of results. Null if there are no more results

